#!/usr/bin/env python3
"""
TCP Banner Grabber
Parameters:
    - IP: Target IP address
    - port: Target port number
"""
import socket
import sys
import argparse

def grab_banner(ip, port):
    try:
        socket.setdefaulttimeout(2)
        s = socket.socket()
        s.connect((ip, port))
        banner = s.recv(1024).decode().strip()
        s.close()
        return banner
    except Exception as e:
        return f"Error: {str(e)}"

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="TCP Banner Grabber")
    parser.add_argument("ip", help="Target IP address")
    parser.add_argument("port", type=int, help="Target port number")
    args = parser.parse_args()
    
    banner = grab_banner(args.ip, args.port)
    print(f"Banner from {args.ip}:{args.port}: {banner}")
